/* Please note that all comments are for general structure and organisation. */
/* Classes and IDs are used all throughout the website, not just their       */
/* designated sections. */

* {
    margin: 0;
    font-family: 'Oswald', sans-serif;
    box-sizing: border-box;
}

.black {
    color: black !important;
}

.bg-black {
    background-color: black !important;
}

/* FOR NAVBAR */
#nav-bar, body.js #nav-bar {
    display: flex;
    justify-content: space-between;
    height: 70px;
    width: 100%;
    align-items: center;
    position: fixed;
    background-color: white;
    transition: 500ms ease-in-out;
}
    
body.js #nav-bar {
    background-color: transparent;
}   

#nav-bar a {
    padding: 15px;
    text-decoration: none;
}

.logo {
    height: 50px;
}

.logo-text {
    font-size: 60px;
    color: white;
    font-family: 'Oswald', sans-serif;
    font-weight: 600;
    margin-left: 15px;
    
    
}

.nav-bar-items a, body.js .nav-bar-items a {
    font-size: 24px;
    margin-left: 10px;
    text-decoration: none;
    color: black;
}

.nav-bar-items a:hover, body.js .nav-bar-items a:hover {
    color: #a1a1a1;
    transition: 300ms;
}

/* Navbar while scrolled (JS) */
body.js #nav-bar.scrolled{
    background-color: #ffffff;
    transition: 500ms;
}

.nav-bar-items a {
    color: black;
    margin: 0;
}

/* FOR PAGE HEADERS */
.header {
    height: 50vh;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Header Imgs */
.header-home {
    background-image: url(../img/HOME_IMG.jpg);
    width: auto !important;
    height: 100vh !important;
}

.header-other {
    background-image: url(../img/IMG_0342_Cropped.jpg);
}

.page-title {
    color: white;
    text-align: center;
    font-size: 40px;
}

/* FOR BUTTONS (CONTACT US BUTTONS, ALL HOMES BUTTON) */
.link {
    background-color: #1e1e1e;
    border: none;
    color: white;
    padding: 10px 8px;
    text-decoration: none;
    border-radius: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 15px;
    width: 200px;
}

.link svg {
    height: auto;
    width: 20px;
}

.link:hover {
    transition: 400ms;
    background-color: #2e2e2e;
}

/* GENERAL BODY STRUCTURE */
.bg-grey {
    background-color: #d9d9d9;
    color: #1e1e1e;
    
}

.center {
    text-align: center;
    padding-left: 5%;
    padding-right: 5%;
    padding-top: 7%;
    padding-bottom: 7%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h2 {
    font-size: 30px;
}

section p {
    font-size: 20px;
}

.center > p {
    margin-top: 30px;
}

.center > a {
    margin-top: 7%;
}

#filler-img {
    height: 8vh;
    margin-top: 32px;

    margin-left: 6%;
    margin-right: 6%;

    background-image: url(../img/BANNER.jpg);
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}

footer p {
    font-size: 12px;
}

footer h5 {
    font-size: 13px;
}

footer {
    background-color: #5b5b5b;
    color: white;
    padding: 5%;
    display: flex;
    justify-content: space-between;
}

/* ABOUT US PAGE STRUCTURE */
.img-text {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    padding: 5%;
}

.img-text > :first-child {
    
    margin-bottom: 60px;
}

.agent-img {
    width: 80%;
    height: auto;
    margin-top: 45px;
    border-radius: 50%;
}

.side-text {
    text-align: center;
}


.sub-title {
    padding: 5%;
}

.title-line {
    margin-left: 5%;
    margin-right: 5%;
    height: 1px;
    background-color: #1e1e1e;
}

/* COMMISSIONS PAGE STRUCTURE */
.grid-row {
    display: flex;
    display: -ms-flexbox;
    flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    padding: 0 4px;
}

.grid-col {
    -ms-flex: 25%;
    flex: 25%;
    max-width: 25%;
    padding: 0 4px;
}

.grid-col img {
    margin-top: 8px;
    vertical-align: middle;
    width: 100%;
    padding: 10%;
    transition: transform 300ms;
}

.grid-col img:hover {
    transform: scale(1.1);
    transition: 300ms;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 50px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: white;
}

.modal-content {
    display: block;
    max-width: 60%;
    padding: 5%;
    max-height: 90%;

}

#modal-caption {
    margin: auto;
    display: block;
    text-align: center;
    font-size: 1.5rem;
    padding: 10px 0;
    color: black;
    width: 30%;
    padding-bottom: 10px;
}

.modal-content, #modal-caption {
    animation-name: zoom;
    animation-duration: 600ms;
}

@keyframes zoom {
    from {transform:scale(0.8)}
    to {transform:scale(1)}
}

#modal-close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: black;
    font-size: 40px;
    font-weight: bold;
    transition: 300ms;
}

#modal-close:hover, #modal-close:focus {
    color: #a1a1a1;
    text-decoration: none;
    cursor: pointer;
    transition: 300ms;
}

#modal-flex {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    height: 100%;
}

@media only screen and (max-width: 850px) {
    #modal-flex {
        flex-direction: column;
    }

    .modal-content {
        padding: 0%;
        margin-top: 20%;
        max-width: 80%;
        max-height: 50%;
    }
    
    #modal-caption {
        width: 80%;
        font-size: 20px;
    }
}

/* HOUSE PAGE STRUCTURE */
.split-50 {
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;

}

.split-50 > div {
    width: 100%;
}

/* center the img in the div */
#artist-img {
    display: flex;
    align-items: center;
    justify-content: center;
}

#artist-img > img {
    height: 30vh;
    border-radius: 50%;
}

/* CONTAT PAGE STRUCTURE */
.contact-info {
    padding: 5%;
}

body.js .contact-info {
    padding-bottom: 30px;
}

.contact-info h3 {
    margin-bottom: 10px;
    font-size: 30px;
}

.contact-info p {
    font-size: 18px;
    line-height: 1.5;
}

.contact-info iframe {
    width: 100%;
    height: 450px;
    border-radius: 20px;
}

/* Message Form */
#message-divide {
    margin-left: 0;
    margin-right: 0;
    margin-top: 20px;
    margin-bottom: 20px;

}

#message-form {
    display: flex;
    flex-direction: column;
}

#message-form > label {
    font-size: 18px;
    color: #646464;
    margin-bottom: 10px;
}

#message-form > input {
    margin-bottom: 18px;
    border: none;
    border-bottom: #646464 solid 1px;
}

#message-form > input:focus {
    outline: none;
}

#message-form > #message {
    height: 150px;
}

.errors li {
    color: red;
}

.errors ul{
    margin-top: 20px;
    padding-left: 20px;
}

/* Submit Button */
#message-form > input:last-child {    
    width: 100%;
    height: 50px;
    background-color: #1e1e1e;
    margin-top: 40px;
    color: white;
}

/* Navbar for Mobile */
@media screen and (max-width: 1000px) {
    .hamburger {
        display: flex;
        width: 40px;
        height: 40px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        background-color: transparent;
        border: none;
        margin-right: 15px;
    }
    
    .logo-text {
        font-size: 40px;
    }

    .line {
        width: 100%;
        max-width: 30px;
        height: 3px;
        background-color: white;
        margin: 3px;
        transition: 300ms;
    }
    
    #nav-bar.scrolled .hamburger .line {
        background-color: black;
    }
    
    body.js #nav-bar[aria-expanded='true'] {
        background-color: white;
    }
    
    body.js #nav-bar {
        transition: 300ms;
    }

    #nav-bar[aria-expanded='true'] .hamburger .line {
        background-color: black;
    }
    
    #nav-bar[aria-expanded='true'] .hamburger .line:first-child {
        transform: rotate(45deg);
        position: absolute;
        margin: 0;
        width: 40px;
        background-color: black;
    }
    
    #nav-bar[aria-expanded='true'] .hamburger .line:nth-child(2) {
        opacity: 0;
    }
    
    #nav-bar[aria-expanded='true'] .hamburger .line:last-child {
        transform: rotate(-45deg);
        position: absolute;
        margin: 0;
        width: 40px;
        background-color: black;
    }
    
    #nav-bar[aria-expanded='true'] .nav-bar-items {
        visibility: visible;
        opacity: 1;
        background-color: white;
        transition:  300ms;
    }

    .nav-bar-items {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        position: fixed;
        top: 70px;
        left: 0;
        right: 0;
        bottom: 0;
        opacity: 0;
        visibility: hidden;
        background-color: transparent;
        transition: opacity 300ms, visibility 300ms, background-color 300ms;
    }
}

/* STRUCTURES FOR DESKTOP */
@media screen and (min-width: 1000px) {
    /* FOR NAVBAR */
    .hamburger {
        display: none;
    }
      
    body.js .nav-bar-items a {
        color: white;
    }
    
    .nav-bar-items a:hover {
        transition: 300ms;
        color: #a1a1a1;
    }
    
    .nav-bar-items a:last-child {
        margin-right: 24px;
    }

    body.js .nav-bar-items a.scrolled{
        color: #1e1e1e;
        transition: 500ms;
    }
    
    body.js .nav-bar-items a.scrolled:hover{
        color: #a1a1a1;
        transition: 300ms;
    }

    /* FOR PAGE HEADERS */
    .page-title {
        font-size: 70px;
    }

    /* FOR BUTTONS */
    .link {
        padding: 6px 13px;
        font-size: 30px;
        width: 370px;
    }

    .link svg {
        width: 50px;  
    }

    /* GENERAL PAGE STRUCTURE */
    .center {
        padding-left: 18%;
        padding-right: 18%;
    }

    section p {
        font-size: 26px;
    }

    h2 {
        font-size: 50px;
    }

    .center > p {
        margin-top: 144px; 
    }
    
    #filler-img {
        height: 15vh;
        margin-top: 64px;
    }

    footer p {
        font-size: 13px;
    }

    footer h5 {
        font-size: 18px;
    }

    footer {
        padding: 32px;
    }

    /* ABOUT US PAGE STRUCTURE */
    .img-text {
        padding: 80px;
        flex-direction: row;
    }

    .img-text > :first-child {
        margin-right: 80px;
        margin-bottom: 0;
    }

    .agent-img {
        width: 40%;
        margin-top: 0px;

    }

    .side-text {
        width: 60%;
        text-align: start;
    }

    .sub-title {
        padding-right: 80px;
        padding-left: 80px;
        padding-top: 32px;
        padding-bottom: 0;
    }

    .title-line {
        margin-left: 80px;
        margin-right: 80px;
    }

    /* CONTACT US PAGE STRUCTURE */
    .split-50 {
        flex-direction: row;
    }

    #artist-img > img {
        height: 400px;
        width: auto;
    }

    .contact-info {
        padding-top: 60px;
        padding-bottom: 60px;
        padding-left: 80px;
        padding-right: 80px;
    }

    .contact-info > div {
        padding-right: 80px;
    }

    .contact-info > div:last-child {
        padding-right: 0;
    }

    .contact-info h3 {
        margin-bottom: 20px;
        font-size: 40px;
    }

    #contact-details {
        border-right: #1e1e1e solid 1px;
        padding-right: 60px;
    }

    /* Message Form */
    #message-divide {
        display: none;
    }

    #submit-a-message {
        padding-left: 20px;
    }

    #message-form > input:last-child:hover {
        background-color: #1e1e1e;
        color: white;
        transition: 150ms;
    }

    #message-form > input:last-child {    
        border:#1e1e1e solid 1px;
        width: 70px;
        color: black;
        background-color: #ffffff;
        height: auto;
    }
}

/* OUR HOMES PAGE: For 2 IMGs Per Row */
@media screen and (max-width: 800px) {
    .grid-col {
        -ms-flex: 50%;
        flex: 50%;
        max-width: 50%;
    }
}
 
/* OUR HOMES PAGE: For 1 IMG Per Row */
@media screen and (max-width: 600px) {
    .grid-col {
        -ms-flex: 100%;
        flex: 100%;
        max-width: 100%;
    }
} 